Show / Hide Table of Contents

# Class Text

A Value representing a piece of text. The only reason this is not named String is so that it doesn't conflict with String.

##### Inheritance

Object
Value
Text

##### Inherited Members

Value.Null()
Value.List()
Value.Map()
Value.From(String)
Value.Text(String)
Value.From(Int64)
Value.Integer(Int64)
Value.From(Decimal)
Value.Float(Decimal)
Value.From(Boolean)
Value.Bool(Boolean)
Value.From(IEnumerable<Value>)
Value.From(IDictionary<String, Value>)
Value.From(IEnumerable<KeyValuePair<String, Value>>)
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Data

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class Text : Value

### Properties

| Improve this Doc View Source

#### Value

The actual value of this Text object.

##### Declaration

    public string Value { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

| Improve this Doc View Source

#### ToString()

Converts this Value into a human-readable format.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String | a quoted, unescaped string form of Value

##### Overrides

Value.ToString()

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])